Bug 826898 - recognition of TeX and LaTeX files needs an improvement
recognition of TeX and LaTeX files needs an improvement
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: file (Show other bugs)
5.8
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Kaluža
Jiri Jaburek
:
Depends On: 675691
Blocks: 676543
  Show dependency treegraph
 
Reported: 2012-05-31 04:35 EDT by Jiri Jaburek
Modified: 2013-04-12 16:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 675691
Environment:
Last Closed: 2012-06-06 05:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jan Kaluža 2012-06-06 05:35:00 EDT
After testing the proposed fix which is already applied in RHEL6, I've found out file-4.17 is too old to work properly with this change. Code which splits text and binary patterns would have to be backported and this is not something which can be done as part of fastrack for 5.9.

Without the backported code to split text and binary patterns, regressions like this one would be possible:
TeX document text, for GNU/Linux 2.6.9, dynamically linked (uses shared libs), stripped

After the discussion with QA and reporter, I will close this bug as WONTFIX in RHEL5.

Note You need to log in before you can comment on or make changes to this bug.